﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="AddJob.aspx.cs" Inherits="AddJob" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style1
        {
            width: 63%;
        }
        .style2
        {
            width: 212px;
            text-align: right;
        }
        .style3
        {
            width: 212px;
            height: 22px;
            text-align: right;
        }
        .style4
        {
            height: 22px;
            text-align: left;
            width: 338px;
        }
        .style5
        {
            text-align: left;
            width: 338px;
        }
        .style6
        {
            width: 212px;
            text-align: right;
            height: 29px;
        }
        .style7
        {
            text-align: left;
            width: 338px;
            height: 29px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <br />
    <p style="text-align: left; margin-left: 40px; margin-top: 4px; margin-bottom: 27px;">
        <asp:Label ID="Label1" runat="server" Font-Bold="True" Text="Add Job" 
            Font-Size="14pt"></asp:Label>
</p>
    <table class="style1" align="center" bgcolor="Azure">
        <tr>
            <td class="style2">
                Agency ID: </td>
            <td class="style5">
                <asp:TextBox ID="agencyIdTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="agentIdRequiredFieldValidator" runat="server" 
                    ControlToValidate="agencyIdTextBox" ErrorMessage="Agency ID required" 
                    Font-Bold="True" Font-Size="12pt" Display="Dynamic">*</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="agentIdRegularExpressionValidator" 
                    runat="server" ControlToValidate="agencyIdTextBox" Display="Dynamic" 
                    ErrorMessage=" Agent ID is numeric only" Font-Bold="True" Font-Size="12pt" 
                    ValidationExpression="^\d+$">*</asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Title:</td>
            <td class="style5">
                <asp:TextBox ID="titleTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="titleRequiredFieldValidator" runat="server" 
                    ControlToValidate="titleTextBox" ErrorMessage="Job title required" 
                    Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Salary / Rate:</td>
            <td class="style5">
                <asp:TextBox ID="salaryRateTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="salaryRateRequiredFieldValidator" 
                    runat="server" ControlToValidate="salaryRateTextBox" 
                    ErrorMessage="Salary / Rate required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Benefits:</td>
            <td class="style5">
                <asp:TextBox ID="benefitsTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Keyword(s):</td>
            <td class="style5">
                <asp:TextBox ID="keywordsTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="keywordsRequiredFieldValidator" 
                    runat="server" ControlToValidate="keywordsTextBox" 
                    ErrorMessage="Keyword(s)  required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Job type:</td>
            <td class="style5">
                <asp:DropDownList ID="jobTypeDropDownList" runat="server" Width="124px">
                    <asp:ListItem>Contract</asp:ListItem>
                    <asp:ListItem>Permanent</asp:ListItem>
                </asp:DropDownList>
            &nbsp;
                <asp:RequiredFieldValidator ID="jobTypeRequiredFieldValidator" runat="server" 
                    ControlToValidate="jobTypeDropDownList" ErrorMessage="Job type required" 
                    Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Location:</td>
            <td class="style5">
                <asp:TextBox ID="locationTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="locationRequiredFieldValidator" 
                    runat="server" ControlToValidate="locationTextBox" 
                    ErrorMessage="Location required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style6">
                Start date:</td>
            <td class="style7">
                <asp:TextBox ID="startDateTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="startDateRequiredFieldValidator" 
                    runat="server" ControlToValidate="startDateTextBox" 
                    ErrorMessage="Start date required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style3">
                Job skill 1:</td>
            <td class="style4">
                <asp:TextBox ID="skill1TextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="skill1RequiredFieldValidator" runat="server" 
                    ControlToValidate="skill1TextBox" ErrorMessage="Skill 1 required" 
                    Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Job skill 2:</td>
            <td class="style5">
                <asp:TextBox ID="skill2TextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Job skill 3:</td>
            <td class="style5">
                <asp:TextBox ID="skill3TextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Job skill 4:</td>
            <td class="style5">
                <asp:TextBox ID="skill4TextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Other experience:</td>
            <td class="style5">
                <asp:TextBox ID="otherExperienceTextBox" runat="server" TextMode="MultiLine" 
                    Width="260px" Height="66px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Description:</td>
            <td class="style5">
                <asp:TextBox ID="descriptionTextBox" runat="server" TextMode="MultiLine" 
                    Width="259px" Height="66px"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="descriptionRequiredFieldValidator" 
                    runat="server" ControlToValidate="descriptionTextBox" 
                    ErrorMessage="Job Description required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Job Ref#:</td>
            <td class="style5">
                <asp:TextBox ID="jobRefTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="jobRefRequiredFieldValidator" runat="server" 
                    ControlToValidate="jobRefTextBox" ErrorMessage="Job Ref. required" 
                    Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Date posted:</td>
            <td class="style5">
                <asp:TextBox ID="datePostedTextBox" runat="server" ReadOnly="True"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="style2">
                Expiry date:</td>
            <td class="style5">
                <asp:TextBox ID="expiryDateTextBox" runat="server"></asp:TextBox>
            &nbsp;<asp:RequiredFieldValidator ID="expiryDateRequiredFieldValidator" 
                    runat="server" ControlToValidate="expiryDateTextBox" 
                    ErrorMessage="Expiry date required" Font-Bold="True" Font-Size="12pt">*</asp:RequiredFieldValidator>
            </td>
        </tr>
    </table>
    <br />
    <asp:ValidationSummary ID="ValidationSummary" runat="server" Width="438px" 
        style="text-align: left"/>
    <br />
<p align="center" style="margin-top: 0px">
        <asp:Button ID="addJobButton" runat="server" Height="33px" 
            onclick="addJobButton_Click" Text="Add Job" Width="101px" 
            style="text-align: center" PostBackUrl="~/Secure/Thankyou.aspx" />
    </p>
    <p align="center">
        &nbsp;</p>
    <p>
        &nbsp;</p>
</asp:Content>

