﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
// [System.Web.Script.Services.ScriptService]

public class Service : System.Web.Services.WebService
{
    public Service () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }

    [WebMethod] // this adds a job
    public void AddJob(int a, string b, string d, string e, string f, string g, string h,
        DateTime i, string j, string k, string l, string m, string n, string o, string p, DateTime q, DateTime r)
    {
        DataSet1TableAdapters.JobsTableTableAdapter ta = new DataSet1TableAdapters.JobsTableTableAdapter();
        ta.Insert(a, b, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r);
    }

    [WebMethod] // this displays all jobs
    public DataSet1.DataTable1DataTable getAllJobs()
    {
        DataSet1TableAdapters.DataTable1TableAdapter ta = new DataSet1TableAdapters.DataTable1TableAdapter();
        return ta.GetAllData();
    }

    [WebMethod] // gets jobs by job title
    public DataSet1.DataTable1DataTable searchJobsByTitle(string title)
    {
        DataSet1TableAdapters.DataTable1TableAdapter ta = new DataSet1TableAdapters.DataTable1TableAdapter();
        return ta.GetDataByTitle2(title);
    }

    [WebMethod] // this ges jobs by location
    public DataSet1.DataTable1DataTable searchJobsByLocation(string location)
    {
        DataSet1TableAdapters.DataTable1TableAdapter ta = new DataSet1TableAdapters.DataTable1TableAdapter();
        return ta.GetDataByLocation(location);
    }

    [WebMethod] // this ges jobs by type
    public DataSet1.DataTable1DataTable searchJobsByType(string type)
    {
        DataSet1TableAdapters.DataTable1TableAdapter ta = new DataSet1TableAdapters.DataTable1TableAdapter();
        return ta.GetDataByType(type);
    }

    [WebMethod] // this ges jobs by keyword
    public DataSet1.DataTable1DataTable searchJobsByKeyword(string keyword)
    {
        DataSet1TableAdapters.DataTable1TableAdapter ta = new DataSet1TableAdapters.DataTable1TableAdapter();
        return ta.GetDataByKeyword(keyword);
    }

    [WebMethod] // this ges jobs by date added@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
    public DataSet1.JobsTableDataTable searchJobsByDateAdded(string date2)
    {
        if(String.IsNullOrEmpty(date2.Trim()))
        {
            return new DataSet1.JobsTableDataTable();
        }
        DataSet1TableAdapters.JobsTableTableAdapter ta = new DataSet1TableAdapters.JobsTableTableAdapter();
        return ta.GetDataByDateAdded2(date2);
    }

    [WebMethod] // this populates the title dropdownbox
    public DataSet1.JobsTableDataTable GetJobByTitle()
    {
        DataSet1TableAdapters.JobsTableTableAdapter ta = new DataSet1TableAdapters.JobsTableTableAdapter();
        return ta.GetData();
    }

    [WebMethod] // this populates the locaton dropdownbox
    public DataSet1.JobsTableDataTable GetJobByLocation()
    {
        DataSet1TableAdapters.JobsTableTableAdapter ta = new DataSet1TableAdapters.JobsTableTableAdapter();
        return ta.GetData();
    }

    [WebMethod] // this populates the job type dropdownbox
    public DataSet1.JobsTableDataTable GetJobByType()
    {
        DataSet1TableAdapters.JobsTableTableAdapter ta = new DataSet1TableAdapters.JobsTableTableAdapter();
        return ta.GetData();
    }

   
}